Bug 1301055 - [GSS] (6.2.z) Column values are deleted after changing the operator in a Guided Decision Table
[GSS] (6.2.z) Column values are deleted after changing the operator in a Guid...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity unspecified
: CR1
: 6.2.2
Assigned To: manstis
jsoltes
:
Depends On: 1301051
Blocks: 1309326 1309327
  Show dependency treegraph
 
Reported: 2016-01-22 08:08 EST by Amana
Modified: 2016-09-20 01:08 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1301051
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amana 2016-01-22 08:08:00 EST
+++ This bug was initially created as a clone of Bug #1301051 +++

Description of problem:
After populating a decision table and then went back to alter an operator pertaining to an existing column, all the existing values in that column were deleted. We would expect the existing data to remain.

Version-Release number of selected component (if applicable):
6.2.0

How reproducible:
Always

Steps to Reproduce:
1. Create a Data Object and add some fields;
2. Create a Guided Decision Table;
3. Add some conditions using a field from the Data Object and add an operator (i.e. greather than);
4. Add some values to that column;
5. Edit that column and change the operator (i.e. less than);
6. Go back to the columns... all values for that column should be missing.

Actual results:
Values are missing after changing the operator.

Expected results:
The existing that should remain.

Additional info:
Comment 11 Jan Hrcek 2016-03-08 04:48:54 EST
Ok, verified with BPM Suite 6.2.2 patch

Note You need to log in before you can comment on or make changes to this bug.